#language: es
#
#pipeline:
#  - name: WhitespaceTokenizer
#  - name: LexicalSyntacticFeaturizer
#  - name: CountVectorsFeaturizer
#    token_pattern: (?u)\b\w+\b
##  - name: DucklingEntityExtractor
##    url: http://localhost:8000
##    dimensions:
##      - number
#  - name: DIETClassifier
#    epochs: 100
#  - name: EntitySynonymMapper
#
#policies:
#  - name: TEDPolicy
#    epochs: 100
#  - name: AugmentedMemoizationPolicy
#  - name: RulePolicy
#



# Configuration for Rasa NLU.
# https://rasa.com/docs/rasa/nlu/components/
language: es

pipeline:
  # # No configuration for the NLU pipeline was provided. The following default pipeline was used to train your model.
  # # If you'd like to customize it, uncomment and adjust the pipeline.
  # # See https://rasa.com/docs/rasa/tuning-your-model for more information.
  - name: WhitespaceTokenizer
  - name: RegexFeaturizer
  - name: LexicalSyntacticFeaturizer
  - name: CountVectorsFeaturizer
  - name: CountVectorsFeaturizer
    analyzer: char_wb
    min_ngram: 1
    max_ngram: 4
  - name: DIETClassifier
    epochs: 100
    constrain_similarities: true
  - name: EntitySynonymMapper
  - name: FallbackClassifier
    threshold: 0.3
    ambiguity_threshold: 0.1

# Configuration for Rasa Core.
# https://rasa.com/docs/rasa/core/policies/
policies:
  - name: TEDPolicy
    max_history: 5
    epochs: 100
    constrain_similarities: true
  - name: AugmentedMemoizationPolicy
  - name: RulePolicy
    core_fallback_threshold: 0.4
    core_fallback_action_name: "action_default_fallback"
    enable_fallback_prediction: True